import { Platform } from '@expo/build-tools';
import { ApiV2, User } from '@expo/xdl';
export interface StatusResult {
    builds: BuildInfo[];
}
export interface Options {
    platform: Platform;
}
export interface BuildInfo {
    status: string;
    platform: Platform;
    createdAt: string;
    artifacts?: BuildArtifacts;
}
interface BuildArtifacts {
    buildUrl?: string;
    logsUrl: string;
}
export default class Builder {
    client: ApiV2;
    constructor(user: User);
    buildProject(projectDir: string, options: Options): Promise<string>;
    getLatestBuilds(): Promise<StatusResult>;
}
export {};
