import { AndroidCredentials } from '@expo/xdl';
import { ExpoConfig } from '@expo/config';
export default class AppSigningOptInProcess {
    projectDir: string;
    signKeystore: string;
    uploadKeystore: string;
    privateSigningKey: string;
    publicUploadCert: string;
    uploadKeystoreCredentials: AndroidCredentials.KeystoreInfo | undefined;
    signKeystoreCredentials: Pick<AndroidCredentials.Keystore, 'keystorePassword' | 'keyAlias' | 'keyPassword'> | undefined;
    constructor(projectDir: string);
    run(): Promise<void>;
    init(slug: string): Promise<void>;
    exportPrivateKey(): Promise<void>;
    prepareKeystores(username: string, exp: ExpoConfig): Promise<void>;
    afterStoreSubmit(username: string, exp: ExpoConfig): Promise<void>;
    private cleanup;
}
