"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DEFAULT_CHECK_INTERVAL_MS = exports.default = void 0;

function _xdl() {
  const data = require("@expo/xdl");

  _xdl = function () {
    return data;
  };

  return data;
}

const SubmissionService = {
  startSubmissionAsync,
  getSubmissionAsync
};
const DEFAULT_CHECK_INTERVAL_MS = 5 * 1000; // 5 secs

exports.DEFAULT_CHECK_INTERVAL_MS = DEFAULT_CHECK_INTERVAL_MS;

async function startSubmissionAsync(platform, config) {
  const api = await getApiClientForUser();
  const {
    submissionId
  } = await api.postAsync('app-stores/submissions', {
    platform,
    config: config
  });
  return submissionId;
}

async function getSubmissionAsync(submissionId) {
  const api = await getApiClientForUser();
  const result = await api.getAsync(`app-stores/submissions/${submissionId}`);
  return result;
}

async function getApiClientForUser() {
  const user = await _xdl().UserManager.ensureLoggedInAsync();
  return _xdl().ApiV2.clientForUser(user);
}

var _default = SubmissionService;
exports.default = _default;
//# sourceMappingURL=SubmissionService.js.map